Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod_oce.F90	(revision 4147)
@@ -13,13 +13,13 @@
    PUBLIC
 
-   !                                                     !!* Namelist namtrd:  diagnostics on dynamics/tracer trends *
-   INTEGER , PUBLIC  ::   nn_trd  = 10                    !: time step frequency dynamics and tracers trends
-   INTEGER , PUBLIC  ::   nn_ctls =  0                    !: control surface type for trends vertical integration
-   REAL(wp), PUBLIC  ::   rn_ucf   = 1.                   !: unit conversion factor (for netCDF trends outputs)
-                                                          !: =1. (=86400.) for degC/s (degC/day) and psu/s (psu/day)
-   CHARACTER(len=32) ::   cn_trdrst_in  = "restart_mld"   !: suffix of ocean restart name (input)
-   CHARACTER(len=32) ::   cn_trdrst_out = "restart_mld"   !: suffix of ocean restart name (output)
-   LOGICAL , PUBLIC  ::   ln_trdmld_instant = .FALSE.     !: flag to diagnose inst./mean ML T/S trends
-   LOGICAL , PUBLIC  ::   ln_trdmld_restart = .FALSE.     !: flag to restart mixed-layer diagnostics
+   !                                        !!* Namelist namtrd:  diagnostics on dynamics/tracer trends *
+   INTEGER , PUBLIC  ::   nn_trd             !: time step frequency dynamics and tracers trends
+   INTEGER , PUBLIC  ::   nn_ctls            !: control surface type for trends vertical integration
+   REAL(wp), PUBLIC  ::   rn_ucf             !: unit conversion factor (for netCDF trends outputs)
+                                             !: =1. (=86400.) for degC/s (degC/day) and psu/s (psu/day)
+   CHARACTER(len=32) ::   cn_trdrst_in       !: suffix of ocean restart name (input)
+   CHARACTER(len=32) ::   cn_trdrst_out      !: suffix of ocean restart name (output)
+   LOGICAL , PUBLIC  ::   ln_trdmld_instant  !: flag to diagnose inst./mean ML T/S trends
+   LOGICAL , PUBLIC  ::   ln_trdmld_restart  !: flag to restart mixed-layer diagnostics
 
 # if defined key_trdtra   ||   defined key_trdmld
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdf_oce.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 4147)
@@ -22,17 +22,17 @@
 #endif
 
-   !                                           !!* namelist namzdf: vertical diffusion *
-   REAL(wp), PUBLIC ::   rn_avm0   = 1.e-4_wp   !: vertical eddy viscosity (m2/s)
-   REAL(wp), PUBLIC ::   rn_avt0   = 1.e-5_wp   !: vertical eddy diffusivity (m2/s)
-   INTEGER , PUBLIC ::   nn_avb    =  0         !: constant or profile background on avt (=0/1)
-   INTEGER , PUBLIC ::   nn_havtb  = 1          !: horizontal shape or not for avtb (=0/1)
-   LOGICAL , PUBLIC ::   ln_zdfexp = .FALSE.    !: explicit vertical diffusion scheme flag
-   INTEGER , PUBLIC ::   nn_zdfexp = 3          !: number of sub-time step (explicit time stepping)
-   LOGICAL , PUBLIC ::   ln_zdfevd = .TRUE.     !: convection: enhanced vertical diffusion flag
-   INTEGER , PUBLIC ::   nn_evdm   = 1          !: =0/1 flag to apply enhanced avm or not
-   REAL(wp), PUBLIC ::   rn_avevd  = 1._wp      !: vertical eddy coeff. for enhanced vert. diff. (m2/s)
-   LOGICAL , PUBLIC ::   ln_zdfnpc = .FALSE.    !: convection: non-penetrative convection flag
-   INTEGER , PUBLIC ::   nn_npc    =   1        !: non penetrative convective scheme call  frequency
-   INTEGER , PUBLIC ::   nn_npcp   =  15        !: non penetrative convective scheme print frequency
+   !                                 !!* namelist namzdf: vertical diffusion *
+   REAL(wp), PUBLIC ::   rn_avm0     !: vertical eddy viscosity (m2/s)
+   REAL(wp), PUBLIC ::   rn_avt0     !: vertical eddy diffusivity (m2/s)
+   INTEGER , PUBLIC ::   nn_avb      !: constant or profile background on avt (=0/1)
+   INTEGER , PUBLIC ::   nn_havtb    !: horizontal shape or not for avtb (=0/1)
+   LOGICAL , PUBLIC ::   ln_zdfexp   !: explicit vertical diffusion scheme flag
+   INTEGER , PUBLIC ::   nn_zdfexp   !: number of sub-time step (explicit time stepping)
+   LOGICAL , PUBLIC ::   ln_zdfevd   !: convection: enhanced vertical diffusion flag
+   INTEGER , PUBLIC ::   nn_evdm     !: =0/1 flag to apply enhanced avm or not
+   REAL(wp), PUBLIC ::   rn_avevd    !: vertical eddy coeff. for enhanced vert. diff. (m2/s)
+   LOGICAL , PUBLIC ::   ln_zdfnpc   !: convection: non-penetrative convection flag
+   INTEGER , PUBLIC ::   nn_npc      !: non penetrative convective scheme call  frequency
+   INTEGER , PUBLIC ::   nn_npcp     !: non penetrative convective scheme print frequency
 
 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 4147)
@@ -34,14 +34,14 @@
    PUBLIC   zdf_bfr_init    ! called by opa.F90
 
-   !                                    !!* Namelist nambfr: bottom friction namelist *
-   INTEGER , PUBLIC ::   nn_bfr      = 0           ! = 0/1/2/3 type of bottom friction  (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfri1    = 4.0e-4_wp   ! bottom drag coefficient (linear case)  (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfri2    = 1.0e-3_wp   ! bottom drag coefficient (non linear case) (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfeb2    = 2.5e-3_wp   ! background bottom turbulent kinetic energy  [m2/s2] (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfrien   = 30._wp      ! local factor to enhance coefficient bfri (PUBLIC for TAM)
-   LOGICAL , PUBLIC ::   ln_bfr2d    = .false.     ! logical switch for 2D enhancement (PUBLIC for TAM)
-   LOGICAL , PUBLIC ::   ln_loglayer = .false.     ! switch for log layer bfr coeff. (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfrz0    = 0.003_wp    ! bottom roughness for loglayer bfr coeff (PUBLIC for TAM)
-   LOGICAL , PUBLIC                                    ::  ln_bfrimp = .false.  ! logical switch for implicit bottom friction
+   !                                 !!* Namelist nambfr: bottom friction namelist *
+   INTEGER , PUBLIC ::   nn_bfr       ! = 0/1/2/3 type of bottom friction  (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfri1     ! bottom drag coefficient (linear case)  (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfri2     ! bottom drag coefficient (non linear case) (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfeb2     ! background bottom turbulent kinetic energy  [m2/s2] (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfrien    ! local factor to enhance coefficient bfri (PUBLIC for TAM)
+   LOGICAL , PUBLIC ::   ln_bfr2d     ! logical switch for 2D enhancement (PUBLIC for TAM)
+   LOGICAL , PUBLIC ::   ln_loglayer  ! switch for log layer bfr coeff. (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfrz0     ! bottom roughness for loglayer bfr coeff (PUBLIC for TAM)
+   LOGICAL , PUBLIC ::  ln_bfrimp     ! logical switch for implicit bottom friction
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:), PUBLIC ::  bfrcoef2d            ! 2D bottom drag coefficient (PUBLIC for TAM)
 
@@ -179,4 +179,5 @@
       INTEGER   ::   ikbu, ikbv   ! temporary integers
       INTEGER   ::   ictu, ictv   !    -          -
+      INTEGER   ::   ios
       REAL(wp)  ::   zminbfr, zmaxbfr   ! temporary scalars
       REAL(wp)  ::   zfru, zfrv         !    -         -
@@ -188,6 +189,12 @@
       IF( nn_timing == 1 )  CALL timing_start('zdf_bfr_init')
       !
-      REWIND ( numnam )               !* Read Namelist nam_bfr : bottom momentum boundary condition
-      READ   ( numnam, nambfr )
+      REWIND( numnam_ref )              ! Namelist nambfr in reference namelist : Bottom momentum boundary condition
+      READ  ( numnam_ref, nambfr, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambfr in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nambfr in configuration namelist : Bottom momentum boundary condition
+      READ  ( numnam_cfg, nambfr, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambfr in configuration namelist', lwp )
+      WRITE ( numond, nambfr )
 
       !                               !* Parameter control and print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 4147)
@@ -37,7 +37,7 @@
    REAL(wp), PUBLIC, SAVE, ALLOCATABLE, DIMENSION(:,:,:) ::   rrau   !: heat/salt buoyancy flux ratio
 
-   !                                  !!* Namelist namzdf_ddm : double diffusive mixing *
-   REAL(wp) ::   rn_avts  = 1.e-4_wp   ! maximum value of avs for salt fingering
-   REAL(wp) ::   rn_hsbfr = 1.6_wp     ! heat/salt buoyancy flux ratio
+   !                      !!* Namelist namzdf_ddm : double diffusive mixing *
+   REAL(wp) ::   rn_avts   ! maximum value of avs for salt fingering
+   REAL(wp) ::   rn_hsbfr  ! heat/salt buoyancy flux ratio
 
    !! * Substitutions
@@ -213,8 +213,15 @@
       !!----------------------------------------------------------------------
       NAMELIST/namzdf_ddm/ rn_avts, rn_hsbfr
-      !!----------------------------------------------------------------------
-      !
-      REWIND( numnam )                ! Read Namelist namzdf_ddm : double diffusion mixing scheme
-      READ  ( numnam, namzdf_ddm )
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
+      !!----------------------------------------------------------------------
+      !
+      REWIND( numnam_ref )              ! Namelist namzdf_ddm in reference namelist : Double diffusion mixing scheme
+      READ  ( numnam_ref, namzdf_ddm, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_ddm in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzdf_ddm in configuration namelist : Double diffusion mixing scheme
+      READ  ( numnam_cfg, namzdf_ddm, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_ddm in configuration namelist', lwp )
+      WRITE ( numond, namzdf_ddm )
       !
       IF(lwp) THEN                    ! Parameter print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 4147)
@@ -51,19 +51,19 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   ustarb2 !: Squared bottom  velocity scale at T-points
 
-   !                                         !!! ** Namelist  namzdf_gls  **
-   LOGICAL  ::   ln_crban      = .FALSE.      ! =T use Craig and Banner scheme
-   LOGICAL  ::   ln_length_lim = .FALSE.      ! use limit on the dissipation rate under stable stratification (Galperin et al. 1988)
-   LOGICAL  ::   ln_sigpsi     = .FALSE.      ! Activate Burchard (2003) modification for k-eps closure & wave breaking mixing
-   INTEGER  ::   nn_tkebc_surf = 0            ! TKE surface boundary condition (=0/1)
-   INTEGER  ::   nn_tkebc_bot  = 0            ! TKE bottom boundary condition (=0/1)
-   INTEGER  ::   nn_psibc_surf = 0            ! PSI surface boundary condition (=0/1)
-   INTEGER  ::   nn_psibc_bot  = 0            ! PSI bottom boundary condition (=0/1)
-   INTEGER  ::   nn_stab_func  = 0            ! stability functions G88, KC or Canuto (=0/1/2)
-   INTEGER  ::   nn_clos       = 0            ! closure 0/1/2/3 MY82/k-eps/k-w/gen
-   REAL(wp) ::   rn_clim_galp  = 0.53_wp      ! Holt 2008 value for k-eps: 0.267
-   REAL(wp) ::   rn_epsmin     = 1.e-12_wp    ! minimum value of dissipation (m2/s3)
-   REAL(wp) ::   rn_emin       = 1.e-6_wp     ! minimum value of TKE (m2/s2)
-   REAL(wp) ::   rn_charn      = 2.e+5_wp     ! Charnock constant for surface breaking waves mixing : 1400. (standard) or 2.e5 (Stacey value)
-   REAL(wp) ::   rn_crban      = 100._wp      ! Craig and Banner constant for surface breaking waves mixing
+   !                              !! ** Namelist  namzdf_gls  **
+   LOGICAL  ::   ln_crban          ! =T use Craig and Banner scheme
+   LOGICAL  ::   ln_length_lim     ! use limit on the dissipation rate under stable stratification (Galperin et al. 1988)
+   LOGICAL  ::   ln_sigpsi         ! Activate Burchard (2003) modification for k-eps closure & wave breaking mixing
+   INTEGER  ::   nn_tkebc_surf     ! TKE surface boundary condition (=0/1)
+   INTEGER  ::   nn_tkebc_bot      ! TKE bottom boundary condition (=0/1)
+   INTEGER  ::   nn_psibc_surf     ! PSI surface boundary condition (=0/1)
+   INTEGER  ::   nn_psibc_bot      ! PSI bottom boundary condition (=0/1)
+   INTEGER  ::   nn_stab_func      ! stability functions G88, KC or Canuto (=0/1/2)
+   INTEGER  ::   nn_clos           ! closure 0/1/2/3 MY82/k-eps/k-w/gen
+   REAL(wp) ::   rn_clim_galp      ! Holt 2008 value for k-eps: 0.267
+   REAL(wp) ::   rn_epsmin         ! minimum value of dissipation (m2/s3)
+   REAL(wp) ::   rn_emin           ! minimum value of TKE (m2/s2)
+   REAL(wp) ::   rn_charn          ! Charnock constant for surface breaking waves mixing : 1400. (standard) or 2.e5 (Stacey value)
+   REAL(wp) ::   rn_crban          ! Craig and Banner constant for surface breaking waves mixing
 
    REAL(wp) ::   hsro          =  0.003_wp    ! Minimum surface roughness
@@ -928,4 +928,5 @@
       !
       INTEGER ::   jk    ! dummy loop indices
+      INTEGER ::   ios   ! Local integer output status for namelist read
       REAL(wp)::   zcr   ! local scalar
       !!
@@ -940,6 +941,12 @@
       IF( nn_timing == 1 )  CALL timing_start('zdf_gls_init')
       !
-      REWIND( numnam )                 !* Read Namelist namzdf_gls
-      READ  ( numnam, namzdf_gls )
+      REWIND( numnam_ref )              ! Namelist namzdf_gls in reference namelist : Vertical eddy diffivity and viscosity using gls turbulent closure scheme
+      READ  ( numnam_ref, namzdf_gls, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_gls in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzdf_gls in configuration namelist : Vertical eddy diffivity and viscosity using gls turbulent closure scheme
+      READ  ( numnam_cfg, namzdf_gls, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_gls in configuration namelist', lwp )
+      WRITE ( numond, namzdf_gls )
 
       IF(lwp) THEN                     !* Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 4147)
@@ -51,4 +51,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio       ! temporary scalar
+      INTEGER ::   ios
       !!
       NAMELIST/namzdf/ rn_avm0, rn_avt0, nn_avb, nn_havtb, ln_zdfexp, nn_zdfexp,   &
@@ -56,6 +57,12 @@
       !!----------------------------------------------------------------------
 
-      REWIND( numnam )           !* Read namzdf namelist : vertical mixing parameters
-      READ  ( numnam, namzdf )
+      REWIND( numnam_ref )              ! Namelist namzdf in reference namelist : Vertical mixing parameters
+      READ  ( numnam_ref, namzdf, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzdf in reference namelist : Vertical mixing parameters
+      READ  ( numnam_cfg, namzdf, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf in configuration namelist', lwp )
+      WRITE ( numond, namzdf )
 
       IF(lwp) THEN               !* Parameter print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 4147)
@@ -52,12 +52,12 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   hkpp     !: boundary layer depth
 
-   !                                        !!* Namelist namzdf_kpp *
-   REAL(wp) ::   rn_difmiw  =  1.2e-04_wp    ! constant internal wave viscosity (m2/s)
-   REAL(wp) ::   rn_difsiw  =  1.2e-05_wp    ! constant internal wave diffusivity (m2/s)
-   REAL(wp) ::   rn_riinfty =  0.8_wp        ! local Richardson Number limit for shear instability
-   REAL(wp) ::   rn_difri   =  5.e-03_wp     ! maximum shear mixing at Rig = 0    (m2/s)
-   REAL(wp) ::   rn_bvsqcon = -1.e-09_wp     ! Brunt-Vaisala squared (1/s**2) for maximum convection
-   REAL(wp) ::   rn_difcon  =  1._wp         ! maximum mixing in interior convection (m2/s)
-   INTEGER  ::   nn_ave     =  1             ! = 0/1 flag for horizontal average on avt, avmu, avmv
+   !                          !!* Namelist namzdf_kpp *
+   REAL(wp) ::   rn_difmiw     ! constant internal wave viscosity (m2/s)
+   REAL(wp) ::   rn_difsiw     ! constant internal wave diffusivity (m2/s)
+   REAL(wp) ::   rn_riinfty    ! local Richardson Number limit for shear instability
+   REAL(wp) ::   rn_difri      ! maximum shear mixing at Rig = 0    (m2/s)
+   REAL(wp) ::   rn_bvsqcon    ! Brunt-Vaisala squared (1/s**2) for maximum convection
+   REAL(wp) ::   rn_difcon     ! maximum mixing in interior convection (m2/s)
+   INTEGER  ::   nn_ave        ! = 0/1 flag for horizontal average on avt, avmu, avmv
 
 #if defined key_zdfddm
@@ -67,5 +67,5 @@
    REAL(wp) ::   difsdc  = 1.5e-06_wp        ! maximum diffusive convection mixing
 #endif
-   LOGICAL  ::   ln_kpprimix  = .TRUE.       ! Shear instability mixing 
+   LOGICAL  ::   ln_kpprimix       ! Shear instability mixing 
 
    !                                        !!! ** General constants  **
@@ -1382,4 +1382,5 @@
       REAL(wp) ::   zustar, zucube, zustvk, zeta, zehat   ! tempory scalars
 #endif
+      INTEGER  ::   ios            ! Local integer output status for namelist read
       REAL(wp) ::   zhbf           ! tempory scalars
       LOGICAL  ::   ll_kppcustom   ! 1st ocean level taken as surface layer
@@ -1391,6 +1392,12 @@
       IF( nn_timing == 1 )  CALL timing_start('zdf_kpp_init')
       !
-      REWIND ( numnam )               ! Read Namelist namkpp : K-Profile Parameterisation
-      READ   ( numnam, namzdf_kpp )
+      REWIND( numnam_ref )              ! Namelist namzdf_kpp in reference namelist : Vertical eddy diffivity and viscosity using kpp turbulent closure scheme
+      READ  ( numnam_ref, namzdf_kpp, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_kpp in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzdf_kpp in configuration namelist : Vertical eddy diffivity and viscosity using kpp turbulent closure scheme
+      READ  ( numnam_cfg, namzdf_kpp, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_kpp in configuration namelist', lwp )
+      WRITE ( numond, namzdf_kpp )
 
       IF(lwp) THEN                    ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 4147)
@@ -41,14 +41,14 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_zdfric = .TRUE.   !: Richardson vertical mixing flag
 
-   !                                    !!* Namelist namzdf_ric : Richardson number dependent Kz *
-   INTEGER  ::   nn_ric   = 2            ! coefficient of the parameterization
-   REAL(wp) ::   rn_avmri = 100.e-4_wp   ! maximum value of the vertical eddy viscosity
-   REAL(wp) ::   rn_alp   =   5._wp      ! coefficient of the parameterization
-   REAL(wp) ::   rn_ekmfc =   0.7_wp     ! Ekman Factor Coeff
-   REAL(wp) ::   rn_mldmin=   1.0_wp     ! minimum mixed layer (ML) depth    
-   REAL(wp) ::   rn_mldmax=1000.0_wp     ! maximum mixed layer depth
-   REAL(wp) ::   rn_wtmix =  10.0_wp     ! Vertical eddy Diff. in the ML
-   REAL(wp) ::   rn_wvmix =  10.0_wp     ! Vertical eddy Visc. in the ML
-   LOGICAL  ::   ln_mldw  = .TRUE.       ! Use or not the MLD parameters
+   !                           !!* Namelist namzdf_ric : Richardson number dependent Kz *
+   INTEGER  ::   nn_ric         ! coefficient of the parameterization
+   REAL(wp) ::   rn_avmri       ! maximum value of the vertical eddy viscosity
+   REAL(wp) ::   rn_alp         ! coefficient of the parameterization
+   REAL(wp) ::   rn_ekmfc       ! Ekman Factor Coeff
+   REAL(wp) ::   rn_mldmin      ! minimum mixed layer (ML) depth    
+   REAL(wp) ::   rn_mldmax      ! maximum mixed layer depth
+   REAL(wp) ::   rn_wtmix       ! Vertical eddy Diff. in the ML
+   REAL(wp) ::   rn_wvmix       ! Vertical eddy Visc. in the ML
+   LOGICAL  ::   ln_mldw        ! Use or not the MLD parameters
 
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tmric   !: coef. for the horizontal mean at t-point
@@ -247,4 +247,5 @@
       !!----------------------------------------------------------------------
       INTEGER :: ji, jj, jk   ! dummy loop indices
+      INTEGER ::   ios        ! Local integer output status for namelist read
       !!
       NAMELIST/namzdf_ric/ rn_avmri, rn_alp   , nn_ric  , rn_ekmfc,  &
@@ -252,6 +253,12 @@
       !!----------------------------------------------------------------------
       !
-      REWIND( numnam )               ! Read Namelist namzdf_ric : richardson number dependent Kz
-      READ  ( numnam, namzdf_ric )
+      REWIND( numnam_ref )              ! Namelist namzdf_ric in reference namelist : Vertical diffusion Kz depends on Richardson number
+      READ  ( numnam_ref, namzdf_ric, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_ric in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzdf_ric in configuration namelist : Vertical diffusion Kz depends on Richardson number
+      READ  ( numnam_cfg, namzdf_ric, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_ric in configuration namelist', lwp )
+      WRITE ( numond, namzdf_ric )
       !
       IF(lwp) THEN                   ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 4147)
@@ -62,23 +62,23 @@
    LOGICAL , PUBLIC, PARAMETER ::   lk_zdftke = .TRUE.  !: TKE vertical mixing flag
 
-   !                                      !!** Namelist  namzdf_tke  **
-   LOGICAL  ::   ln_mxl0   = .FALSE.       ! mixing length scale surface value as function of wind stress or not
-   INTEGER  ::   nn_mxl    =  2            ! type of mixing length (=0/1/2/3)
-   REAL(wp) ::   rn_mxl0   = 0.04_wp       ! surface  min value of mixing length (kappa*z_o=0.4*0.1 m)  [m]
-   INTEGER  ::   nn_pdl    =  1            ! Prandtl number or not (ratio avt/avm) (=0/1)
-   REAL(wp) ::   rn_ediff  = 0.1_wp        ! coefficient for avt: avt=rn_ediff*mxl*sqrt(e)
-   REAL(wp) ::   rn_ediss  = 0.7_wp        ! coefficient of the Kolmogoroff dissipation 
-   REAL(wp) ::   rn_ebb    = 3.75_wp       ! coefficient of the surface input of tke
-   REAL(wp) ::   rn_emin   = 0.7071e-6_wp  ! minimum value of tke           [m2/s2]
-   REAL(wp) ::   rn_emin0  = 1.e-4_wp      ! surface minimum value of tke   [m2/s2]
-   REAL(wp) ::   rn_bshear = 1.e-20_wp     ! background shear (>0) currently a numerical threshold (do not change it)
-   INTEGER  ::   nn_etau   = 0             ! type of depth penetration of surface tke (=0/1/2/3)
-   INTEGER  ::   nn_htau   = 0             ! type of tke profile of penetration (=0/1)
-   REAL(wp) ::   rn_efr    = 1.0_wp        ! fraction of TKE surface value which penetrates in the ocean
-   LOGICAL  ::   ln_lc     = .FALSE.       ! Langmuir cells (LC) as a source term of TKE or not
-   REAL(wp) ::   rn_lc     = 0.15_wp       ! coef to compute vertical velocity of Langmuir cells
-
-   REAL(wp) ::   ri_cri                    ! critic Richardson number (deduced from rn_ediff and rn_ediss values)
-   REAL(wp) ::   rmxl_min                  ! minimum mixing length value (deduced from rn_ediff and rn_emin values)  [m]
+   !                      !!** Namelist  namzdf_tke  **
+   LOGICAL  ::   ln_mxl0   ! mixing length scale surface value as function of wind stress or not
+   INTEGER  ::   nn_mxl    ! type of mixing length (=0/1/2/3)
+   REAL(wp) ::   rn_mxl0   ! surface  min value of mixing length (kappa*z_o=0.4*0.1 m)  [m]
+   INTEGER  ::   nn_pdl    ! Prandtl number or not (ratio avt/avm) (=0/1)
+   REAL(wp) ::   rn_ediff  ! coefficient for avt: avt=rn_ediff*mxl*sqrt(e)
+   REAL(wp) ::   rn_ediss  ! coefficient of the Kolmogoroff dissipation 
+   REAL(wp) ::   rn_ebb    ! coefficient of the surface input of tke
+   REAL(wp) ::   rn_emin   ! minimum value of tke           [m2/s2]
+   REAL(wp) ::   rn_emin0  ! surface minimum value of tke   [m2/s2]
+   REAL(wp) ::   rn_bshear ! background shear (>0) currently a numerical threshold (do not change it)
+   INTEGER  ::   nn_etau   ! type of depth penetration of surface tke (=0/1/2/3)
+   INTEGER  ::   nn_htau   ! type of tke profile of penetration (=0/1)
+   REAL(wp) ::   rn_efr    ! fraction of TKE surface value which penetrates in the ocean
+   LOGICAL  ::   ln_lc     ! Langmuir cells (LC) as a source term of TKE or not
+   REAL(wp) ::   rn_lc     ! coef to compute vertical velocity of Langmuir cells
+
+   REAL(wp) ::   ri_cri    ! critic Richardson number (deduced from rn_ediff and rn_ediss values)
+   REAL(wp) ::   rmxl_min  ! minimum mixing length value (deduced from rn_ediff and rn_emin values)  [m]
    REAL(wp) ::   rhftau_add = 1.e-3_wp     ! add offset   applied to HF part of taum  (nn_etau=3)
    REAL(wp) ::   rhftau_scl = 1.0_wp       ! scale factor applied to HF part of taum  (nn_etau=3)
@@ -692,4 +692,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ji, jj, jk   ! dummy loop indices
+      INTEGER ::   ios
       !!
       NAMELIST/namzdf_tke/ rn_ediff, rn_ediss , rn_ebb , rn_emin  ,   &
@@ -699,6 +700,12 @@
       !!----------------------------------------------------------------------
       !
-      REWIND ( numnam )               !* Read Namelist namzdf_tke : Turbulente Kinetic Energy
-      READ   ( numnam, namzdf_tke )
+      REWIND( numnam_ref )              ! Namelist namzdf_tke in reference namelist : Turbulent Kinetic Energy
+      READ  ( numnam_ref, namzdf_tke, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_tke in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzdf_tke in configuration namelist : Turbulent Kinetic Energy
+      READ  ( numnam_cfg, namzdf_tke, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_tke in configuration namelist', lwp )
+      WRITE ( numond, namzdf_tke )
       !
       ri_cri   = 2._wp    / ( 2._wp + rn_ediss / rn_ediff )   ! resulting critical Richardson number
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 4147)
@@ -38,11 +38,11 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_zdftmx = .TRUE.    !: tidal mixing flag
 
-   !                                  !!* Namelist  namzdf_tmx : tidal mixing *
-   REAL(wp) ::  rn_htmx    = 500.      ! vertical decay scale for turbulence (meters)
-   REAL(wp) ::  rn_n2min   = 1.e-8     ! threshold of the Brunt-Vaisala frequency (s-1)
-   REAL(wp) ::  rn_tfe     = 1./3.     ! tidal dissipation efficiency (St Laurent et al. 2002)
-   REAL(wp) ::  rn_me      = 0.2       ! mixing efficiency (Osborn 1980)
-   LOGICAL  ::  ln_tmx_itf = .TRUE.    ! Indonesian Through Flow (ITF): Koch-Larrouy et al. (2007) parameterization
-   REAL(wp) ::  rn_tfe_itf = 1.        ! ITF tidal dissipation efficiency (St Laurent et al. 2002)
+   !                       !!* Namelist  namzdf_tmx : tidal mixing *
+   REAL(wp) ::  rn_htmx     ! vertical decay scale for turbulence (meters)
+   REAL(wp) ::  rn_n2min    ! threshold of the Brunt-Vaisala frequency (s-1)
+   REAL(wp) ::  rn_tfe      ! tidal dissipation efficiency (St Laurent et al. 2002)
+   REAL(wp) ::  rn_me       ! mixing efficiency (Osborn 1980)
+   LOGICAL  ::  ln_tmx_itf  ! Indonesian Through Flow (ITF): Koch-Larrouy et al. (2007) parameterization
+   REAL(wp) ::  rn_tfe_itf  ! ITF tidal dissipation efficiency (St Laurent et al. 2002)
 
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   en_tmx     ! energy available for tidal mixing (W/m2)
@@ -354,4 +354,5 @@
       INTEGER  ::   ji, jj, jk   ! dummy loop indices
       INTEGER  ::   inum         ! local integer
+      INTEGER  ::   ios
       REAL(wp) ::   ztpc, ze_z   ! local scalars
       REAL(wp), DIMENSION(:,:)  , POINTER ::  zem2, zek1   ! read M2 and K1 tidal energy
@@ -369,6 +370,12 @@
       CALL wrk_alloc( jpi,jpj,jpk, zpc )
       
-      REWIND( numnam )               ! Read Namelist namtmx : Tidal Mixing
-      READ  ( numnam, namzdf_tmx )
+      REWIND( numnam_ref )              ! Namelist namzdf_tmx in reference namelist : Tidal Mixing
+      READ  ( numnam_ref, namzdf_tmx, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_tmx in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzdf_tmx in configuration namelist : Tidal Mixing
+      READ  ( numnam_cfg, namzdf_tmx, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_tmx in configuration namelist', lwp )
+      WRITE ( numond, namzdf_tmx )
 
       IF(lwp) THEN                   ! Control print
